import { r as registerInstance, j as createEvent, h } from './index-07845439.js';

const styleCss = ".sc-ig-payment-method-add-h{width:30%}@media only screen and (min-width: 1000px){h1.sc-ig-payment-method-add{visibility:visible}}@media only screen and (max-width: 1000px){h1.sc-ig-payment-method-add{display:none}}";

const IntergiroMethodAdd = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.add = createEvent(this, "add", 7);
  }
  submit(event) {
    event.preventDefault();
    this.add.emit(event.detail.method);
  }
  render() {
    return [
      h("intergiro-onboard", { customer: this.customer, onCreate: (event) => this.submit(event), "api-key": this.apiKey }),
    ];
  }
};
IntergiroMethodAdd.style = styleCss;

export { IntergiroMethodAdd as ig_payment_method_add };
